Bug 524784 - Update Request: skinlf CVS
Summary: Update Request: skinlf CVS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: skinlf
Version: rawhide
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: D Haley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: tvbrowser
TreeView+ depends on / blocked
 
Reported: 2009-09-22 07:31 UTC by Sandro Mathys
Modified: 2010-01-02 03:38 UTC (History)
2 users (show)

Fixed In Version: 6.7-10.cvs20091205.fc12.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-02 03:36:54 UTC


Attachments (Terms of Use)

Description Sandro Mathys 2009-09-22 07:31:33 UTC
Please Update skinlf to the latest CVS. AFAIK there's been no changes since the last release except for the license (should now be ASL 2.0 only instead of ASL 2.0 and zlib and ASL 1.1). This makes it much easier to build software upon skinlf (legal-wise).

I need the ASL 2.0 only version to get tvbrowser into Fedora (#472144).

Comment 1 D Haley 2009-09-22 13:54:33 UTC
 I can attend to this update this coming weekend, but I've had a quick look. Seems like it is just the licence change from my random CVS wanderings.

Comment 2 Fedora Update System 2009-09-26 05:20:08 UTC
skinlf-6.7-9.cvs20090501.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/skinlf-6.7-9.cvs20090501.fc11

Comment 3 Fedora Update System 2009-09-26 05:20:12 UTC
skinlf-6.7-9.cvs20090501.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/skinlf-6.7-9.cvs20090501.fc10

Comment 4 Fedora Update System 2009-09-29 14:34:59 UTC
skinlf-6.7-9.cvs20090501.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update skinlf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10053

Comment 5 Fedora Update System 2009-09-29 14:36:10 UTC
skinlf-6.7-9.cvs20090501.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update skinlf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10067

Comment 6 Sandro Mathys 2009-10-03 09:04:41 UTC
Mamoru Tasaka pointed out, that there's ten files, that are still ASL 1.1:
src/main/com/l2fprod/gui/plaf/skin/SkinLookAndFeel.java
src/main/com/l2fprod/gui/plaf/skin/Window.java
src/main/com/l2fprod/gui/plaf/skin/impl/AbstractSkinProgress.java
src/main/com/l2fprod/gui/plaf/skin/impl/gtk/parser/*.java

I already notified upstream about this and they will fix those last bits hopefully soon. As soon as they did, I'll notify you to make a new pkg - please leave this update request open for that.

In the meantime I'd suggest to NOT push the above pkgs to stable.

Comment 7 Bug Zapper 2009-11-16 12:44:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Sandro Mathys 2009-11-17 19:02:16 UTC
Hi,

Upstream finally made the license change to ASL 2.0 in the remaining ~10 files. Would you be so kind as to update this pkg to the latest cvs revision?

Thanks!

Comment 9 Sandro Mathys 2009-11-30 20:29:29 UTC
Time for a ping :)

Comment 10 D Haley 2009-12-01 10:17:07 UTC
Sorry, this slipped off my todo list. I will attend to this in the next couple of days. Bit busy at the moment.

Comment 11 Fedora Update System 2009-12-05 14:05:09 UTC
skinlf-6.7-10.cvs20091205.fc12.2 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/skinlf-6.7-10.cvs20091205.fc12.2

Comment 12 Fedora Update System 2009-12-05 14:06:01 UTC
skinlf-6.7-10.cvs20091205.fc11.2 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/skinlf-6.7-10.cvs20091205.fc11.2

Comment 13 Fedora Update System 2009-12-07 07:31:34 UTC
skinlf-6.7-10.cvs20091205.fc11.2 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update skinlf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12823

Comment 14 Fedora Update System 2009-12-07 07:32:00 UTC
skinlf-6.7-10.cvs20091205.fc12.2 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update skinlf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12829

Comment 15 Mamoru TASAKA 2009-12-07 17:46:18 UTC
Would you remove lib/JimiProClasses.zip at %prep to make it
sure that this zip file is not used for skinlf?

Comment 16 Fedora Update System 2010-01-02 03:36:49 UTC
skinlf-6.7-10.cvs20091205.fc11.2 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-01-02 03:38:29 UTC
skinlf-6.7-10.cvs20091205.fc12.2 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.